<?php
/**
* Core functions options page include
*
* @since 2.1
* @lastupdate 2.12
* 
*
*/
?>

<div class="wrap">

	<div id="icon-options-general" class="icon32"><br /></div>
	<h2>WP-CMS Post Control Core Functions</h2>

	<h3><a href="<?php echo admin_url('options-general.php?page=wpcms_pcontrol'); ?>" title="Main post control options">Post Control</a> | <a href="<?php echo admin_url('options-general.php?page=wpcms_pcontrol_ex'); ?>" title="Core WordPress publishing functions">Core Functions</a></h3>

	<div id="icon-tools" class="icon32"><br /></div>
	<h2>Core WordPress publishing functions</h2>
	<p>Use these controls to configure the core publishing behaviour of WordPress.</p>
	<p><strong>Disable autosave</strong> - Stops this interpution when you are writing content.</p>
	<p><strong>Disable revisions</strong> - Stops more post revisions being saved - existing revisions will be kept.</p>
	<p><strong>Disable Flash uploader</strong> - Removes Flash upload as option and forces back to browser upload type.</p>

	<form method="post" action="options.php">
		<?php
		
		$options = get_option('wpcms_pcontrolopts_ex');			
		//Output nonce, action, and option_page fields for a settings page
		// @param string $option_group A settings group name. IMPORTANT - This should match the group name used in register_setting()
		settings_fields('wpcms_pcontrol_options_ex');
		?>		
		
		<table class="form-table">
		
			<?php
			$mypagecontrols = array(
			'Disable Autosave' => 'autosave', 
			'Disable Revisions' => 'revisions', 
			'Disable Flash uploader' => 'flashupload'
			);		

			//Generate form from array
			foreach($mypagecontrols as $key => $value) { ?>		
		
			<tr>
				<th scope="row"><?php echo $key; ?></th>
				<td>
				<fieldset>
				<legend class="screen-reader-text"><span><?php echo $key; ?></span></legend>

					<label for="wpcms_pcontrolopts_ex_autosave">
					
					<input name="wpcms_pcontrolopts_ex[<?php echo $value; ?>]" type="checkbox" value="off" 
					<?php 
					if (isset($options[''.$value.''])) {
						checked('off', $options[''.$value.'']);
					}
					?> 
					/>	

					</label>
					
				</fieldset>
				</td>
			</tr>
			
			<?php 
			}
			?>
		
		</table>
		


		<div id="icon-tools" class="icon32"><br /></div>
		<h2>Limit revisions</h2>
		<p>If you have revisions enabled, stop clogging up your database and revisions system by setting a maximum number of revisions to be saved.</p>

		<table class="form-table">	
		
			<tr>
				<th scope="row">How many revisions to save</th>
				<td>

			<select name="wpcms_pcontrolopts_ex[revision_num]" id="asave">
				<option value="<?php echo $options['revision_num']; ?>"> 
				<?php 
				//Setup nice display of saved value
				if ($options['revision_num'] == '0' || !$options['revision_num']) {
					echo "No limit";
				} else {
					echo $options['revision_num'];
					if ($options['revision_num'] == '1') { echo ' revision'; } else { echo ' revisions'; }
				}
				 ?>
				</option>
				<option class="level-0" value="1">1</option>
				<option class="level-0" value="2">2</option>
				<option class="level-0" value="3">3</option>
				<option class="level-0" value="4">4</option>
				<option class="level-0" value="5">5</option>
				<option class="level-0" value="6">6</option>
				<option class="level-0" value="7">7</option>
				<option class="level-0" value="8">8</option>
				<option class="level-0" value="9">9</option>
				<option class="level-0" value="10">10</option>
				<option class="level-0" value="11">11</option>
				<option class="level-0" value="12">12</option>
				<option class="level-0" value="13">13</option>
				<option class="level-0" value="14">14</option>
				<option class="level-0" value="15">15</option>
				<option class="level-0" value="0">No limit</option>
			</select>

				</td>
			</tr>
		
		</table>



		<p class="submit">
		<input type="submit" class="button-primary" value="<?php _e('Save Post Control options') ?>" />
		</p>
		
	</form>

<?php include("wp-cms-opts-pcontrol-common.php"); ?>

</div>